Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424532 - synaptic: FTBFS in rawhide
Summary: synaptic: FTBFS in rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: synaptic
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 17:27 UTC by Fedora Release Engineering
Modified: 2018-04-21 22:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-21 22:50:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (16.67 KB, text/plain)
2017-02-17 17:27 UTC, Fedora Release Engineering
no flags Details
root.log (103.99 KB, text/plain)
2017-02-17 17:27 UTC, Fedora Release Engineering
no flags Details
state.log (631 bytes, text/plain)
2017-02-17 17:27 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2017-02-17 17:27:08 UTC
Your package synaptic failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17792617

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 17:27:14 UTC
Created attachment 1254856 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 17:27:17 UTC
Created attachment 1254857 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 17:27:20 UTC
Created attachment 1254858 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 12:19:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Neal Gompa 2017-10-26 12:38:03 UTC
I fixed this for rawhide: https://koji.fedoraproject.org/koji/buildinfo?buildID=989561

Fixes for RPM 4.13 support and compiling with GCC 6/7 were required.

Do you want to merge these changes back into Fedora releases so that the fixes make their way to users there?

Comment 6 Neal Gompa 2018-04-21 22:50:29 UTC
Fixes will release with Fedora 28.


Note You need to log in before you can comment on or make changes to this bug.